function [xi,yi] = WaveData2D(guide)

horz = -sum(guide.thick.horz)/2+[0,cumsum(guide.thick.horz)];
vert = -sum(guide.thick.vert)/2+[0,cumsum(guide.thick.vert)];
ep = .1;

dx = (guide.thick.horz(1)-ep/2)/(guide.point.horz(1)-1);
x = [horz(1):dx:horz(2)];
dy = (guide.thick.vert(1)-ep/2)/(guide.point.vert(1)-1);
y = [vert(1):dy:vert(2)];

for i = 2:length(guide.thick.horz)-1
   dx = (guide.thick.horz(i)-ep)/(guide.point.horz(i)-1);
   x = [x,horz(i)+ep/2:dx:horz(i+1)];
end

i = i+1;

dx = (guide.thick.horz(i)-ep/2)/(guide.point.horz(i)-1);
x = [x,horz(i)+ep/2:dx:horz(i+1)];

for i = 2:length(guide.thick.vert)-1
   dy = (guide.thick.vert(i)-ep)/(guide.point.vert(i)-1);
   y = [y,vert(i)+ep/2:dy:vert(i+1)];
end

i = i+1;

dy = (guide.thick.vert(i)-ep/2)/(guide.point.vert(i)-1);
y = [y,vert(i)+ep/2:dy:vert(i+1)];

[xi,yi] = meshgrid(x,y);

   
 
    
   
   
   
   
   
   
   
