function [s] = ModeVolume(x,y,mode)

dx = diff((x(1,:)-x(1,1))')';
dy = diff(y(:,1)-y(1,1));

N = length(dx);
M = length(dy);

[dx,dy] = meshgrid(dx,dy);

mode = conj(mode).*mode;

mode1 = mode(2:M+1,2:N+1).*dx.*dy;

s = trapz(trapz(mode1));
